Subject: Re: BUG: ualarm(0,0) not clearing ualarms
From: Reid Thompson <[email-masked]>
Cc: [email-masked]
Date: Mon, 13 Feb 2006 21:28:28 -0500

Gary R. Van Sickle wrote:

>[snip]
>  
>
>>>I get the same can't-duplicate as Chris does, on 'uname -a'=
>>>
>>>CYGWIN_NT-5.1 DFW5RB41 1.5.20s(0.153/4/2) 20060209 14:37:47 
>>>      
>>>
>>i686 Cygwin
>>    
>>
>>>I don't have any of this stuff in $CYGWIN, might be worth a 
>>>      
>>>
>>try to ditch it:
>>    
>>
>>>"
>>>CYGWIN = 'server ntsec forkchunk:32768'
>>>"
>>>      
>>>
>>Btw, I have a hyperthreaded machine running at 3.06G with 1G 
>>of RAM.  I wouldn't expect that to make a difference in this 
>>case, though.  I can't see how this could be a N-processor 
>>race-related bug.
>>
>>cgf
>>    
>>
>
>Hyperthreding P4 3.4GHz "X-Treme Edition" (more cache?), 1Gig RAM.
>
>Maybe this is the one bug that HT actually masks instead of reveals. ;-)
>
>  
>
AMD Athlon XP2500+  1.83GHZ  512MB RAM.

CYGWIN_NT-5.1 cyberhome 1.5.19(0.150/4/2) 2006-01-20 13:28 i686 Cygwin

$ ./ualarm
First ualarm  - one shot
Second ualarm - one shot
Last ualarm   - repeats 3 times
Clearing ualarm
Sleeping
Done

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/